%define name krb5-fermi-config
%define path /usr/krb5
%define version 2.7
%define release 1

Summary: Configuration scripts to get Fermize your Kerberos Machine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: MIT, freely distributable.
URL: http://web.mit.edu/kerberos/www/
Prereq: fileutils
Group: Fermi
BuildArchitectures: noarch
Packager: Troy Dawson <dawson@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.
The config set's up config files so that a machine is ready to
be in Fermilab's kerberos realm

%prep
%setup
rm -rf $RPM_BUILD_ROOT

%install
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/config

install -m 0744 config-krb5.conf $RPM_BUILD_ROOT/%{path}/config/config-krb5.conf
install -m 0744 makehostkeys $RPM_BUILD_ROOT/%{path}/config/config-hostkeys
install -m 0744 makehostkeys $RPM_BUILD_ROOT/%{path}/config/makehostkeys
install -m 0644 krb5.conf.template $RPM_BUILD_ROOT/%{path}/config/krb5.conf.template

%post 
if [ -f /etc/krb5.conf ] ; then
	if [ "$(grep 'ups installAsRoot krb5conf' /etc/krb5.conf)" = "" ] ; then
		echo "current krb5.conf does not match template, moving it to /etc/krb5.conf.save.%{name}.%{version}.%{release}"
		mv /etc/krb5.conf /etc/krb5.conf.save.%{name}.%{version}.%{release}
	else
		echo "current krb5.conf matches template.  We will only change the top section."
	fi
fi
%{path}/config/config-krb5.conf %{version}

echo "Your computer has been configured to use the fermi kerberos realm"
echo "If you need a host priciple you should run '%{path}/config/makehostkeys'"


%files
%dir %{path}
%dir %{path}/config

%{path}/config/config-krb5.conf
%{path}/config/config-hostkeys
%{path}/config/makehostkeys
%{path}/config/krb5.conf.template

%changelog
* Thu Aug 30 2007 Troy Dawson <dawson@fnal.gov> 2.7-1
- Updated to version 2.7
- Removed unecessary %triggers and %postun

* Wed May 30 2007 Troy Dawson <dawson@fnal.gov> 2.5-1
- Updated to version 2.5

* Wed May 30 2007 Troy Dawson <dawson@fnal.gov> 2.4a-2
- removed the requirement for krb5-workstation-fermi

* Tue Oct 03 2006 Troy Dawson <dawson@fnal.gov> 2.4a-1
- removed everything but what you need to do your krb5.conf and make principles.
